> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.dexchange.sn/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sub-Merchants

> Retrieve the list of your sub-merchants

# List Sub-Merchants

## Endpoint

```bash theme={null}
GET /api/v1/sub-merchant
```

## Headers

| Name          | Type   | Required | Description           |
| ------------- | ------ | -------- | --------------------- |
| Authorization | string | Yes      | Bearer YOUR\_API\_KEY |

## Query Parameters

| Parameter | Type   | Required | Description                    |
| --------- | ------ | -------- | ------------------------------ |
| page      | number | No       | Page number (default: `1`)     |
| limit     | number | No       | Items per page (default: `20`) |

## Success Response (200)

```json theme={null}
{
  "success": true,
  "data": [
    {
      "subMerchantId": "sm-7f4a9940c621",
      "name": "My Store",
      "commercialName": "My Store SN",
      "countries": ["SN", "CI"],
      "isActive": true,
      "isDefault": true,
      "CREATED_AT": "2026-03-15T03:47:32.000Z"
    }
  ],
  "total": 1,
  "page": 1,
  "totalPages": 1
}
```
